Name:           txt2regex
Version:        0.8
Release:        17%{?dist}
Summary:        Regular expression wizard that converts human sentences to regexes

License:        GPLv2
URL:            http://www.aurelio.net/soft/txt2regex/
Source0:        http://txt2regex.sourceforge.net/txt2regex-%{version}.tgz
Source1:        licence-confirmation.eml
Source2:        gpl-2.0.txt

# This removes the "TEXTDOMAINDIR=..." line from txt2regex. It isn't needed in
# Fedora where the default value is OK.
Patch0:         txt2regex-no-TEXTDOMAINDIR.patch

BuildArch:      noarch

BuildRequires:  gettext
Requires:       bash >= 2.04

%description
txt2regex is a regular expression wizard that converts human sentences to
regexes.

In a simple interactive interface, you just answer questions and build your
own regex for a large variety of software and programming languages.

%prep
%setup -q
%patch0 -p1

# upstream has confirmed that txt2regex is GPLv2 only
for i in README txt2regex-0.8.sh; do \
  cp -p $i $i.new; \
  sed -i -e 's/GPL/GPLv2/' $i.new; \
  touch -r $i $i.new; \
  mv -f $i.new $i; \
done

# convert a few files to UTF-8
for i in Changelog txt2regex-%{version}.sh txt2regex.man; do \
  iconv -f iso8859-1 -t utf-8 $i -o $i.conv; \
  touch -r $i $i.conv; \
  mv -f $i.conv $i; \
done

# Replace COPYRIGHT file with current version of GPLv2, to fix FSF address
# Change submitted upstream: https://github.com/aureliojargas/txt2regex/pull/2
mv %{SOURCE2} COPYRIGHT

%build
# nothing to do

%install
rm -rf %{buildroot}

# install txt2regex and locale files
make DESTDIR=%{buildroot} install

# install man page
mkdir -p %{buildroot}/%{_mandir}/man1
install -p -m 644 txt2regex.man %{buildroot}%{_mandir}/man1/txt2regex.1

# copy licence confirmation email into unpacked source tree, alongside other
# doc files
install -p -m 644 %{SOURCE1} .

# find locale files
%find_lang %{name}

%files -f %{name}.lang
%doc Changelog COPYRIGHT NEWS README TODO licence-confirmation.eml
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Sep 16 2017 Richard Fearn <richardfearn@gmail.com> 0.8-16
- Remove unnecessary Group: tag, BuildRoot: tag, and %%clean section

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Mar 02 2016 Richard Fearn <richardfearn@gmail.com> 0.8-13
- Fix incorrect FSF address in COPYRIGHT

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan 28 2016 Richard Fearn <richardfearn@gmail.com> 0.8-11
- Remove unnecessary %%defattr

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 18 2010 Richard Fearn <richardfearn@gmail.com> - 0.8-3
- include email confirming licence is GPLv2 only, as required by
  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines

* Wed Jun  9 2010 Richard Fearn <richardfearn@gmail.com> - 0.8-2
- fix licence: upstream has confirmed that it should be GPLv2 only
- improve description
- use for loop to convert files to UTF-8

* Sun Jun  6 2010 Richard Fearn <richardfearn@gmail.com> - 0.8-1
- initial package for Fedora
